summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDan Armak <danarmak@gentoo.org>2003-01-28 12:16:54 +0000
committerDan Armak <danarmak@gentoo.org>2003-01-28 12:16:54 +0000
commit25fa47685f82633d01a0f18339fa60d147cdcd93 (patch)
tree5d3709776b1239fc409dc95ee92af18f45940f02 /kde-base
parentadded designer.diff, revision bumped 3.1.0 and 3.1.1 (diff)
downloadhistorical-25fa47685f82633d01a0f18339fa60d147cdcd93.tar.gz
historical-25fa47685f82633d01a0f18339fa60d147cdcd93.tar.bz2
historical-25fa47685f82633d01a0f18339fa60d147cdcd93.zip
new revisions to fix bug #7179. masked for now.
Diffstat (limited to 'kde-base')
-rw-r--r--kde-base/kdebase/ChangeLog11
-rw-r--r--kde-base/kdebase/files/3.0.5a-r2/kdebase-3.0.5a-nspluginviewer-qt31.diff.gzbin0 -> 36346 bytes
-rw-r--r--kde-base/kdebase/files/3.0.5a-r2/kdebase-3.0.5a-xft2.0-fix.diff148
-rw-r--r--kde-base/kdebase/files/3.0.5a-r2/kdebase-3.0.5a-xft_h-fix.diff11
-rw-r--r--kde-base/kdebase/files/3.0.5a-r2/startkde-3.0.5a-r2-gentoo.diff55
-rw-r--r--kde-base/kdebase/files/3.1-r1/backgroundrc18
-rw-r--r--kde-base/kdebase/files/3.1-r1/kdmrc413
-rw-r--r--kde-base/kdebase/files/3.1-r1/startkde-3.1-gentoo.diff67
-rw-r--r--kde-base/kdebase/files/digest-kdebase-3.0.5a-r21
-rw-r--r--kde-base/kdebase/files/digest-kdebase-3.1-r11
-rw-r--r--kde-base/kdebase/kdebase-3.0.5a-r2.ebuild234
-rw-r--r--kde-base/kdebase/kdebase-3.1-r1.ebuild103
12 files changed, 1061 insertions, 1 deletions
diff --git a/kde-base/kdebase/ChangeLog b/kde-base/kdebase/ChangeLog
index 1f1ff045dc82..cb5ecaec7147 100644
--- a/kde-base/kdebase/ChangeLog
+++ b/kde-base/kdebase/ChangeLog
@@ -1,6 +1,15 @@
# ChangeLog for kde-base/kdebase
# Copyright 2002 Gentoo Technologies, Inc.; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/kde-base/kdebase/ChangeLog,v 1.51 2003/01/27 21:39:06 danarmak Exp $
+# $Header: /var/cvsroot/gentoo-x86/kde-base/kdebase/ChangeLog,v 1.52 2003/01/28 12:16:54 danarmak Exp $
+
+*kdebase-3.1-r1, 3.0.5a-r2 (28 Jan 2003)
+
+ 28 Jan 2003; Dan Armak <danarmak@gentoo.org> ChangeLog :
+
+ New revisions to fix bug #7179. This part of the fix removes the hardcoded
+ KDEDIRS setting from startkde, allowing the env.d files from kde-env to
+ set it. This is a bug/fix almost noone cares about, so no need to upgrade
+ unless you know what this is. Masked at first for initial testing.
27 Jan 2003; Dan Armak <danarmak@gentoo.org> files/3.1/startkde-3.1-gentoo.diff :
diff --git a/kde-base/kdebase/files/3.0.5a-r2/kdebase-3.0.5a-nspluginviewer-qt31.diff.gz b/kde-base/kdebase/files/3.0.5a-r2/kdebase-3.0.5a-nspluginviewer-qt31.diff.gz
new file mode 100644
index 000000000000..281ca5298fb2
--- /dev/null
+++ b/kde-base/kdebase/files/3.0.5a-r2/kdebase-3.0.5a-nspluginviewer-qt31.diff.gz
Binary files differ
diff --git a/kde-base/kdebase/files/3.0.5a-r2/kdebase-3.0.5a-xft2.0-fix.diff b/kde-base/kdebase/files/3.0.5a-r2/kdebase-3.0.5a-xft2.0-fix.diff
new file mode 100644
index 000000000000..940b20968a0f
--- /dev/null
+++ b/kde-base/kdebase/files/3.0.5a-r2/kdebase-3.0.5a-xft2.0-fix.diff
@@ -0,0 +1,148 @@
+ We have two problems when we start to use Xft1.2 or Xft2.0
+
+ 1) With Xft1.2 or Xft2.0 we now use fontconfig, and thus have
+ to cast the variables for use with fontconfig struct's and
+ variables.
+
+ 2) With Xft2.0, some functions in xftint.h are already defined
+ in the Xft.h from Xft2.0.
+
+ Fix: If we have Xft1.2 or Xft2.0, either change configure to
+ to define XFT_WITH_FONTCONFIG, or add -DXFT_WITH_FONTCONFIG
+ to our CXXFLAGS.
+
+ If we have Xft2.0, define HAVE_XFT2 somehow.
+
+
+ Martin Schlemmer <azarah@gentoo.org> (25 Dec 2002)
+
+
+--- kdebase-3.0.5a/kcontrol/kfontinst/kfontinst/XftConfig.cpp.orig 2002-12-25 04:06:47.000000000 +0200
++++ kdebase-3.0.5a/kcontrol/kfontinst/kfontinst/XftConfig.cpp 2002-12-25 04:07:27.000000000 +0200
+@@ -276,7 +276,11 @@
+ }
+ case XftTypeString:
+ str+="\"";
++#ifndef XFT_WITH_FONTCONFIG
+ str+=test->value.u.s;
++#else
++ str+=(const char *)test->value.u.s;
++#endif
+ str+="\"";
+ break;
+ case XftTypeBool:
+@@ -554,7 +558,11 @@
+ XftValue value;
+ CXftConfig::TEntry *entry=new CXftConfig::TEntry;
+
++#ifndef XFT_WITH_FONTCONFIG
+ value.u.s=sval;
++#else
++ value.u.s=(FcChar8 *)sval;
++#endif
+ value.type=XftTypeString;
+ entry->test=XftTestCreate(XftQualAny, "family", XftOpEqual, value);
+
+@@ -780,7 +788,11 @@
+
+ for(entry=itsList.first(); entry; entry=itsList.next())
+ if(entry->test && 0==CMisc::stricmp(entry->test->field, "family") && XftTypeString==entry->test->value.type &&
++#ifndef XFT_WITH_FONTCONFIG
+ 0==CMisc::stricmp(entry->test->value.u.s, family.latin1()) && entry->edit &&
++#else
++ 0==CMisc::stricmp((const char *)entry->test->value.u.s, family.latin1()) && entry->edit &&
++#endif
+ 0==CMisc::stricmp(entry->edit->field, field) && XftOpAssign==entry->edit->op && entry->edit->expr)
+ break;
+
+@@ -798,7 +810,11 @@
+ free(test->field);
+
+ if(XftTypeString==test->value.type)
++#ifndef XFT_WITH_FONTCONFIG
+ free(test->value.u.s);
++#else
++ free((FcChar8 *)test->value.u.s);
++#endif
+ }
+ }
+
+--- kdebase-3.0.5a/kcontrol/kfontinst/kfontinst/XftConfigEditor.cpp.orig 2002-12-25 04:07:06.000000000 +0200
++++ kdebase-3.0.5a/kcontrol/kfontinst/kfontinst/XftConfigEditor.cpp 2002-12-25 04:07:27.000000000 +0200
+@@ -469,7 +469,11 @@
+ break;
+ case XftTypeString:
+ expr->op=XftOpString;
++#ifndef XFT_WITH_FONTCONFIG
+ expr->u.sval=val.u.s;
++#else
++ expr->u.sval=(char *)val.u.s;
++#endif
+ break;
+ case XftTypeBool:
+ default:
+@@ -655,12 +659,24 @@
+ if("foundry"==field || "family"==field || "encoding"==field || "style"==field)
+ {
+ val.type=XftTypeString;
++#ifndef XFT_WITH_FONTCONFIG
+ val.u.s=(char *)malloc(edit ? strVal.length()+1 : strVal.length()-1);
++#else
++ val.u.s=(FcChar8 *)malloc(edit ? strVal.length()+1 : strVal.length()-1);
++#endif
+
+ if(edit)
++#ifndef XFT_WITH_FONTCONFIG
+ strcpy(val.u.s, strVal.local8Bit());
++#else
++ strcpy((char *)val.u.s, strVal.local8Bit());
++#endif
+ else
++#ifndef XFT_WITH_FONTCONFIG
+ strcpy(val.u.s, strVal.mid(1, strVal.length()-2).local8Bit()); // Need to remove quotes from each end of the string...
++#else
++ strcpy((char *)val.u.s, strVal.mid(1, strVal.length()-2).local8Bit()); // Need to remove quotes from each end of the string...
++#endif
+ }
+ else if("spacing"==field)
+ {
+@@ -747,8 +763,13 @@
+ {
+ // Not sure about this...
+ val.type=XftTypeString;
++#ifndef XFT_WITH_FONTCONFIG
+ val.u.s=(char *)malloc(strVal.length()+1);
+ strcpy(val.u.s, strVal.local8Bit());
++#else
++ val.u.s=(FcChar8 *)malloc(strVal.length()+1);
++ strcpy((char *)val.u.s, strVal.local8Bit());
++#endif
+ }
+ else if("rgba"==field)
+ {
+--- kdebase-3.0.5a/kcontrol/kfontinst/kfontinst/xftint.h.orig 2002-12-25 04:07:17.000000000 +0200
++++ kdebase-3.0.5a/kcontrol/kfontinst/kfontinst/xftint.h 2002-12-25 04:07:27.000000000 +0200
+@@ -276,8 +276,10 @@
+ XftSubstPrint (XftSubst *subst);
+
+ /* xftdir.c */
++#ifndef HAVE_XFT2
+ Bool
+ XftDirScan (XftFontSet *set, const char *dir);
++#endif
+
+ /* xftdpy.c */
+ int
+@@ -388,10 +390,12 @@
+ XftListValueCompare (XftValue v1,
+ XftValue v2);
+
++#ifndef HAVE_XFT2
+ Bool
+ XftListValueListCompare (XftValueList *v1orig,
+ XftValueList *v2orig,
+ XftQual qual);
++#endif
+
+ Bool
+ XftListMatch (XftPattern *p,
diff --git a/kde-base/kdebase/files/3.0.5a-r2/kdebase-3.0.5a-xft_h-fix.diff b/kde-base/kdebase/files/3.0.5a-r2/kdebase-3.0.5a-xft_h-fix.diff
new file mode 100644
index 000000000000..0971b0d039c3
--- /dev/null
+++ b/kde-base/kdebase/files/3.0.5a-r2/kdebase-3.0.5a-xft_h-fix.diff
@@ -0,0 +1,11 @@
+--- Xft.h.orig 2002-10-30 00:48:12.000000000 +0200
++++ Xft.h 2002-10-30 00:47:28.000000000 +0200
+@@ -150,6 +150,8 @@
+ int ref;
+ };
+
++typedef FcValueList XftValueList;
++
+ /*
+ * End of Gentoo hack
+ */
diff --git a/kde-base/kdebase/files/3.0.5a-r2/startkde-3.0.5a-r2-gentoo.diff b/kde-base/kdebase/files/3.0.5a-r2/startkde-3.0.5a-r2-gentoo.diff
new file mode 100644
index 000000000000..8a4ba044dae5
--- /dev/null
+++ b/kde-base/kdebase/files/3.0.5a-r2/startkde-3.0.5a-r2-gentoo.diff
@@ -0,0 +1,55 @@
+--- startkde.orig 2002-12-16 04:05:14.000000000 +0200
++++ startkde 2003-01-28 09:56:45.000000000 +0200
+@@ -1,8 +1,21 @@
+-#!/bin/sh
++#!/bin/sh --login
+ #
+-# DEFAULT KDE STARTUP SCRIPT ( KDE-3.0.5a )
++# GENTOO CUSTOMIZED KDE STARTUP SCRIPT ( KDE-3.0.5a )
+ #
+
++# Gentoo part:
++export PATH="_KDEDIR_/bin:${PATH}"
++export KDEDIR="_KDEDIR_"
++# only use env.d's KDEDIRS, which should only include locations like /usr - NOT KDE locations
++
++cd ~
++[ -d .kde ] && mv .kde .kde.backup
++[ -e .kde3 ] || mkdir .kde3
++ln -sf .kde3 .kde
++export KDEHOME="${HOME}/.kde3"
++
++# Gentoo part ends
++
+ # Boot sequence:
+ #
+ # kdeinit is used to fork off processes which improves memory usage
+@@ -25,12 +38,12 @@
+ # especially necessary on slow machines, where starting KDE takes one or two
+ # minutes until anything appears on the screen.
+ #
+-# Set the background to plain grey.
++# Set the background to cyan (Gentoo version change).
+ # The standard X background is nasty, causing moire effects and exploding
+ # people's heads. We use colours from the standard KDE palette for those with
+ # palettised displays.
+
+-test "$XDM_MANAGED" || bkg="-solid #C0C0C0"
++test "$XDM_MANAGED" || bkg="-solid #5477A0"
+ xsetroot -cursor_name left_ptr $bkg
+
+ # The user's personal KDE directory is usually ~/.kde, but this setting
+@@ -131,7 +144,12 @@
+ fi
+
+ # the splashscreen and progress indicator
+-ksplash
++# Gentoo addition: run $KSPLASH if set, otherwise just the default 'ksplash'
++if [ -n "$KSPLASH" ]; then
++ $KSPLASH
++else
++ ksplash
++fi
+
+ # We set LD_BIND_NOW to increase the efficiency of kdeinit.
+ # kdeinit unsets this variable before loading applications.
diff --git a/kde-base/kdebase/files/3.1-r1/backgroundrc b/kde-base/kdebase/files/3.1-r1/backgroundrc
new file mode 100644
index 000000000000..d00db3a27bff
--- /dev/null
+++ b/kde-base/kdebase/files/3.1-r1/backgroundrc
@@ -0,0 +1,18 @@
+[Desktop0]
+BackgroundMode=VerticalGradient
+BlendBalance=100
+BlendMode=NoBlending
+ChangeInterval=60
+Color1=14,120,131
+Color2=67,174,192
+CurrentWallpaper=0
+LastChange=0
+MinOptimizationDepth=1
+MultiWallpaperMode=NoMulti
+Pattern=fish
+Program=
+ReverseBlending=false
+UseSHM=false
+Wallpaper=default_blue.jpg
+WallpaperList=
+WallpaperMode=NoWallpaper
diff --git a/kde-base/kdebase/files/3.1-r1/kdmrc b/kde-base/kdebase/files/3.1-r1/kdmrc
new file mode 100644
index 000000000000..1d5018fc119d
--- /dev/null
+++ b/kde-base/kdebase/files/3.1-r1/kdmrc
@@ -0,0 +1,413 @@
+# KDM configuration example.
+# Note, that all comments will be lost if you change this file with
+# the kcontrol frontend.
+#
+# Definition: the greeter is the login dialog, i.e., the part of KDM
+# which the user sees.
+#
+# You can configure every X-display individually.
+# Every display has a display name, which consists of a host name
+# (which is empty for local displays specified in the Xservers file),
+# a colon and a display number. Additionally, a display belongs to a
+# display class (which can be ignored in most cases; the control center
+# does not support this feature at all).
+# Sections with display-specific settings have the formal syntax
+# "[X-" host [":" number [ "_" class ]] "-" sub-section "]"
+# You can use the "*" wildcard for host, number and class. You may omit
+# trailing components; they are assumed to be "*" then.
+# The host part may be a domain specification like ".inf.tu-dresden.de".
+# From which section a setting is actually taken is determined by these
+# rules:
+# - an exact match takes precedence over a partial match (for the host part),
+# which in turn takes precedence over a wildcard
+# - precedence decreases from left to right for equally exact matches
+# Example: display name "myhost:0", class "dpy".
+# [X-myhost:0_dpy] precedes
+# [X-myhost:0_*] (same as [X-myhost:0]) precedes
+# [X-myhost:*_dpy] precedes
+# [X-myhost:*_*] (same as [X-myhost]) precedes
+# [X-*:0_dpy] precedes
+# [X-*:0_*] (same as [X-*:0]) precedes
+# [X-*:*_*] (same as [X-*])
+# These sections do NOT match this display:
+# [X-hishost], [X-myhost:0_dec], [X-*:1], [X-:*]
+# If a setting is not found in any matching section, the default is used.
+#
+# Every comment applies to the following section or key.
+# The defaults refer to KDM's built-in values, not anything set in this file.
+#
+
+[General]
+# This option exists solely for the purpose of a clean automatic upgrade.
+# Don't even think about changing it!
+ConfigVersion=2.0
+# If "false", KDM won't daemonize after startup. Note, that you needn't to
+# use this if you start KDM from inittab, as KDM won't daemonize in this case
+# automatically. Default is true.
+#DaemonMode=false
+# If the value starts with a slash (/), it specifies the file, where X-servers
+# to be used by KDM are listed; the file is in the usual XDM-Xservers format.
+# Otherwise it's interpreted like one line of the Xservers file, i.e., it
+# specifies exactly one X-server.
+# Default is ":0 local@tty1 /usr/X11R6/bin/X vt7"
+# XXX i'm planning to absorb this file into kdmrc, but i'm not sure how to
+# do this best.
+Xservers=/etc/X11/xdm/Xservers
+# Where KDM should store its PID. Default is "" (don't store)
+PidFile=/var/run/xdm-pid
+# Whether KDM should lock the pid file to prevent having multiple KDM
+# instances running at once. Leave it "true", unless you're brave.
+#LockPidFile=false
+# Where to store authorization files. Default is /var/run/xauth
+#AuthDir=/tmp
+# Whether KDM should automatically re-read configuration files, if it
+# finds them having changed. Just keep it "true".
+#AutoRescan=false
+# Additional environment variables KDM should pass on to kdm_config, kdm_greet,
+# Xsetup, Xstartup, Xsession, and Xreset. LD_LIBRARY_PATH is a good candidate;
+# otherwise it shouldn't be necessary very often.
+#ExportList=SOME_VAR,ANOTHER_IMPORTANT_VAR
+# Where the command FiFos should be created. Make it empty to disable
+# the FiFos. Default is /var/run/xdmctl
+#FifoDir=/tmp
+# To which group the command FiFos should belong.
+# Default is -1 (effectively root)
+#FifoGroup=xdmctl
+
+[Xdmcp]
+# Whether KDM should listen to XDMCP requests. Default is true.
+Enable=false
+# The UDP port KDM should listen on for XDMCP requests. Don't change the 177.
+#Port=177
+# File with the private keys of X-terminals. Required for XDM authentication.
+# Default is ""
+#KeyFile=/usr/kde/3.1/share/config/kdm/kdmkeys
+# XDMCP access control file in the usual XDM-Xaccess format.
+# Default is /usr/kde/3.1/share/config/kdm/Xaccess
+# XXX i'm planning to absorb this file into kdmrc, but i'm not sure how to
+# do this best.
+Xaccess=/etc/X11/xdm/Xaccess
+# Number of seconds to wait for display to respond after the user has
+# selected a host from the chooser. Default is 15.
+#ChoiceTimeout=10
+# Strip domain name from remote display names if it is equal to the local
+# domain. Default is true
+#RemoveDomainname=false
+# Use the numeric IP address of the incoming connection instead of the
+# host name. Use this on multihomed hosts. Default is false
+#SourceAddress=true
+# The program which is invoked to dynamically generate replies to XDMCP
+# BroadcastQuery requests.
+# By default no program is invoked and "Willing to manage" is sent.
+Willing=/etc/X11/xdm/Xwilling
+
+[Shutdown]
+# The command to run to halt the system. Default is /sbin/halt
+#HaltCmd=
+# The command to run to reboot the system. Default is /sbin/reboot
+#RebootCmd=
+# Whether one can shut down the system via the global command FiFo.
+# Default is false
+#AllowFifo=true
+# Whether one can abort still running sessions when shutting down the system
+# via the global command FiFo. Default is true
+#AllowFifoNow=false
+# Offer LiLo boot options in shutdown dialog. Default is false
+#UseLilo=true
+# The location of the LiLo binary. Default is /sbin/lilo
+#LiloCmd=
+# The location of the LiLo map file. Default is /boot/map
+#LiloMap=
+
+# Rough estimations about how many seconds KDM will spend at most on
+# - opening a connection to the X-server (OpenTime):
+# OpenRepeat * (OpenTimeout + OpenDelay)
+# - starting a local X-server (ServerTime): ServerAttempts * ServerTimeout
+# - starting a display:
+# - local display: StartAttempts * (ServerTime + OpenTime)
+# - remote/foreign display: StartAttempts * OpenTime
+
+# Core config for all displays
+[X-*-Core]
+# How long to wait before retrying to start the display after various
+# errors. Default is 15
+#OpenDelay=
+# How long to wait before timing out XOpenDisplay. Default is 120
+#OpenTimeout=
+# How often to try the XOpenDisplay. Default is 5
+#OpenRepeat=
+# Try at most that many times to start a display. If this fails, the display
+# is disabled. Default is 4
+#StartAttempts=
+# The StartAttempt counter is reset after that many seconds. Default is 30
+#StartInterval=
+# Ping remote display every that many minutes. Default is 5
+#PingInterval=
+# Wait for a Pong that many minutes. Default is 5
+#PingTimeout=
+# Restart instead of resetting the local X-server after session exit.
+# Use it if the server leaks memory, etc. Default is false
+#TerminateServer=true
+# The signal needed to reset the local X-server. Default is 1 (SIGHUP)
+#ResetSignal=
+# The signal needed to terminate the local X-server. Default is 15 (SIGTERM)
+#TermSignal=
+# Need to reset the X-server to make it read initial Xauth file.
+# Default is false
+#ResetForAuth=true
+# Create X-authorizations for local displays. Default is true
+#Authorize=false
+# Which X-authorization mechanisms should be used.
+# Default is MIT-MAGIC-COOKIE-1
+#AuthNames=
+# The name of this X-server's Xauth file. Default is "", which means, that
+# a random name in the AuthDir directory will be used.
+#AuthFile=
+# Specify a file with X-resources for the greeter, chooser and background.
+# The KDE frontend doesn't care for this, so you don't need it unless you
+# use an alternative chooser or another background generator than kdmdesktop.
+# Default is ""
+Resources=/etc/X11/xdm/Xresources
+# The xrdb program to use to read the above specified recources.
+# Default is /usr/X11R6/bin/xrdb
+#Xrdb=
+# A program to run before the greeter is shown. You should start kdmdesktop
+# there. Also, xconsole can be started by this script.
+# Default is ""
+Setup=/etc/X11/xdm/Xsetup_0
+# A program to run before a user session starts. You should invoke sessreg
+# there and optionally change the ownership of the console, etc.
+# Default is ""
+Startup=/usr/kde/3.1/share/config/kdm/Xstartup
+# A program to run after a user session exits. You should invoke sessreg
+# there and optionally change the ownership of the console, etc.
+# Default is ""
+Reset=/usr/kde/3.1/share/config/kdm/Xreset
+# The program which is run as the user which logs in. It is supposed to
+# interpret the session argument (see SessionTypes) and start an appropriate
+# session according to it.
+# Default is /usr/X11R6/bin/xterm -ls -T
+Session=/etc/X11/xdm/Xsession
+# The program to run if Session fails.
+# Default is /usr/X11R6/bin/xterm
+#FailsafeClient=
+# The PATH for the Session program. Default is
+# /bin:/usr/bin:/usr/X11R6/bin:/usr/local/bin
+#UserPath=/usr/kde/3.1/bin:/bin:/usr/bin:/usr/X11R6/bin:/usr/local/bin
+# The PATH for Setup, Startup and Reset, etc. Default is
+# /sbin:/usr/sbin:/bin:/usr/bin:/usr/X11R6/bin:/usr/local/bin
+#SystemPath=/usr/kde/3.1/bin:/sbin:/usr/sbin:/bin:/usr/bin:/usr/X11R6/bin:/usr/local/bin
+# The default system shell. Default is /bin/sh
+#SystemShell=/bin/bash
+# Where to put the user's X-server authorization file if ~/.Xauthority
+# cannot be created. Default is /tmp
+#UserAuthDir=
+# The host chooser program to use.
+# Default is /usr/kde/3.1/bin/chooser
+# XXX this is going to be integrated into the greeter (probably).
+#Chooser=
+# If "true", KDM will automatically restart a session after an X-server
+# crash (or if it is killed by Alt-Ctrl-BackSpace). Note, that enabling
+# this opens a security hole: a secured display lock can be circumvented
+# (unless you use KDE's built-in screen lock). Default is false
+#AutoReLogin=true
+# Allow root logins? Default is true
+AllowRootLogin=false
+# Allow to log in, when user has set an empty password? Default is true
+AllowNullPasswd=false
+# Who is allowed to shut down the system. This applies both to the
+# greeter and to the command FiFo. Default is All
+# "None" - no "Shutdown..." button is shown at all
+# "Root" - the root password must be entered to shut down
+# "All" - everybody can shut down the machine (Default)
+AllowShutdown=Root
+# Who is allowed to abort all still running sessions when shutting down.
+# Same options as for AllowShutdown. Default is All
+#AllowSdForceNow=Root
+# The default choice for the shutdown condition/timing.
+# "Schedule" - shutdown after all sessions exit (possibly at once) (Default)
+# "TryNow" - shutdown, if no sessions are open, otherwise do nothing
+# "ForceNow" - shutdown unconditionally
+#DefaultSdMode=ForceNow
+# If this is false the user must select the shutdown condition/timing already
+# in the shutdown dialog. If this is true he won't be bothered with the options,
+# but will be asked what to do if sessions are actually open. Default is true
+# NOTE: the interaction is currently not implemented. If this is set to true,
+# a normal forced shutdown will happen (without caring for the AllowSdForceNow
+# option!), i.e., KDM will behave exactly as before KDE 3.0.
+#InteractiveSd=false
+# Where (relatively to the user's home directory) to store the last
+# selected session. Default is .wmrc
+#SessSaveFile=
+
+# Greeter config for all displays
+[X-*-Greeter]
+# Session types the users can select. It is advisable to have "default" and
+# "failsafe" listed herein, which is also the default.
+# Note, that the meaning of this value is entirely up to your Session program.
+SessionTypes=Xsession,kde-3.0.4,kde-3.1_rc2,
+# Widget Style of the greeter:
+# Default, Windows, Platinum, Motif, MotifPlus, CDE, SGI, and any styles you
+# may have installed, e.g., HighColor; Default is "Default"
+GUIStyle=Keramik
+# Widget Colors of the greeter:
+# Default, and any color schemes you may have installed. Default is "Default"
+#ColorScheme=Pumpkin
+# What should be shown righthand of the input lines:
+# "Logo" - the image specified by LogoPixmap (Default)
+# "Clock" - a neat analog clock
+# "None" - nothing
+LogoArea=None
+# The image to show when LogoArea=Logo. Default is kdelogo.png
+LogoPixmap=
+# Normally, the greeter is centered on the screen. Use this, if you want
+# it to appear elsewhere on the screen. Default is false
+#GreeterPosFixed=true
+#GreeterPosX=200
+#GreeterPosY=100
+# The headline in the greeter.
+# The following character pairs are replaced:
+# - %d -> current display
+# - %h -> host name, possibly with domain name
+# - %n -> node name, most probably the host name without domain name
+# - %s -> the operating system
+# - %r -> the operating system's version
+# - %m -> the machine (hardware) type
+# - %% -> a single %
+# Default is "Welcome to %s at %n"
+#GreetString=K Desktop Environment (%n)
+# The font for the headline. Default is charter,24,bold
+GreetFont=verdana,24,5,0,50,0
+# The normal font used in the greeter. Default is helvetica,12
+StdFont=verdana,12,5,0,50,0
+# The font used for the "Login Failed" message. Default is helvetica,12,bold
+FailFont=verdana,12,5,0,75,0
+# Whether the fonts shown in the greeter should be antialiased. Default is false
+AntiAliasing=true
+# What to do with the Num Lock modifier for the time the greeter is running:
+# "On" -> - turn on
+# "Off" -> - turn off
+# "Keep" -> - don't change the state (Default)
+#NumLock=Off
+# Language to use in the greeter. Default is en_US
+#Language=de_DE
+# Specify, which user names (along with pictures) should be shown in the
+# greeter.
+# "NotHidden" - all users except those listed in HiddenUsers (Default)
+# "Selected" - only the users listed in SelectedUsers
+# "None" - no user list will be shown at all
+#ShowUsers=None
+# For ShowUsers=Selected. Default is ""
+#SelectedUsers=root,johndoe
+# For ShowUsers=NotHidden. Default is ""
+#HiddenUsers=root
+# Special case of HiddenUsers: users with a UID less than this number
+# (except root) will not be shown as well. Default is 0
+MinShowUID=1000
+# Complement to MinShowUID: users with a UID greater than this number will
+# not be shown as well. Default is 65535
+MaxShowUID=65000
+# If false, the users are listed in the order they appear in /etc/passwd.
+# If true, they are sorted alphabetically. Default is true
+#SortUsers=false
+# Specify, where the users' pictures should be taken from.
+# "AdminOnly" - from $KDEDIR/share/apps/kdm/pics/users/$USER.png (Default)
+# "UserOnly" - from the user's $HOME/.face
+# "PreferAdmin" - prefer $USER.png; fallback on $HOME/.face
+# "PreferUser" - ... and the other way round
+FaceSource=PreferUser
+# Specify, if/which user should be preselected for log in.
+# Note, that enabling this feature can be considered a security hole,
+# as it presents a valid login name to a potential attacker, so he "only"
+# needs to guess the password.
+# "None" - don't preselect any user (Default)
+# "Previous" - the user which successfully logged in last time
+# "Default" - the user specified in the DefaultUser field
+#PreselectUser=Previous
+# The user to preselect if PreselectUser=Default
+#DefaultUser=ethel
+# If this is true, the password input line is focused automatically if
+# a user is preselected. Default is false
+#FocusPasswd=true
+# The password input fields cloak the typed in text. Specify, how to do it:
+# "NoEcho" - nothing is shown at all, the cursor doesn't move
+# "OneStar" - "*" is shown for every typed letter (Default)
+# "ThreeStars" - "***" is shown for every typed letter
+#EchoMode=NoEcho
+# If true, krootimage will be automatically started by KDM. Otherwise, the
+# Setup script should be used to setup the background. Default is true
+#UseBackground=false
+# The configuration file to be used by krootimage.
+# Default is /usr/kde/3.1/share/config/kdm/backgroundrc
+#BackgroundCfg=
+# Hold the X-server grabbed the whole time the greeter is visible. This
+# may be more secure, but it will disable any background and other
+# X-clients started from the Setup script. Default is false
+#GrabServer=true
+# How many seconds to wait for grab to succeed. Default is 3
+#GrabTimeout=
+# Warn, if local X-authorization cannot be created. Default is true
+# XXX this is a dummy currently
+AuthComplain=true
+
+# Core config for local displays
+[X-:*-Core]
+# How often to try to run the X-server. Running includes executing it and
+# waiting for it to come up. Default is 1
+#ServerAttempts=
+# How long to wait for a local X-server to come up. Default is 15
+#ServerTimeout=
+# See above
+AllowShutdown=All
+# See above
+AllowRootLogin=true
+# See above
+AllowNullPasswd=true
+# Enable password-less logins on this display. USE WITH EXTREME CARE!
+# Default is false
+#NoPassEnable=true
+# The users that don't need to provide a password to log in. NEVER list root!
+#NoPassUsers=fred,ethel
+
+# Greeter config for local displays
+[X-:*-Greeter]
+# See above
+#AuthComplain=false
+# The screen the greeter should be displayed on in multi-headed setups.
+# The numbering starts with 0 and corresponds to the listing order in the
+# active ServerLayout section of XF86Config. -1 means to use the upper-left
+# screen, -2 means to use the upper-right screen. Default is 0
+#GreeterScreen=-1
+
+# Core config for 1st local display
+[X-:0-Core]
+# Enable automatic login on this display. USE WITH EXTREME CARE!
+# Default is false
+#AutoLoginEnable=true
+# The user to log in automatically. NEVER specify root!
+#AutoLoginUser=fred
+# The password for the user to log in automatically. This is NOT required
+# unless the user is to be logged into a NIS or Kerberos domain. If you use
+# it, you should "chmod 600 kdmrc" for obvious reasons.
+#AutoLoginPass=secret!
+# The session for the user to log in automatically. This becomes useless after
+# the user's first login, as the last used session will take precedence.
+#AutoLoginSession=kde
+# If "true", the auto-login is truly automatic, i.e., the user is logged in
+# when KDM comes up. If "false", the auto-login must be initiated by crashing
+# the X-server with Alt-Ctrl-BackSpace. Default is true
+#AutoLogin1st=false
+# See above
+Authorize=true
+
+# Greeter config for 1st local display
+[X-:0-Greeter]
+# See above
+#PreselectUser=Default
+# See above
+#DefaultUser=johndoe
+
+[X-:1-Core]
+# See above
+Authorize=true
+
diff --git a/kde-base/kdebase/files/3.1-r1/startkde-3.1-gentoo.diff b/kde-base/kdebase/files/3.1-r1/startkde-3.1-gentoo.diff
new file mode 100644
index 000000000000..4e00568e481e
--- /dev/null
+++ b/kde-base/kdebase/files/3.1-r1/startkde-3.1-gentoo.diff
@@ -0,0 +1,67 @@
+--- startkde.orig 2002-11-30 19:58:15.000000000 +0200
++++ startkde 2003-01-28 09:58:09.000000000 +0200
+@@ -1,12 +1,34 @@
+-#!/bin/sh
++#!/bin/sh --login
+ #
+-# DEFAULT KDE STARTUP SCRIPT ( KDE-3.1 )
++# GENTOO CUSTOMIZED KDE STARTUP SCRIPT ( KDE-3.1 )
+ #
+
+ # When the X server dies we get a HUP signal from xinit. We must ignore it
+ # because we still need to do some cleanup.
+ trap 'echo GOT SIGHUP' HUP
+
++# Gentoo part:
++export PATH="_KDEDIR_/bin:${PATH}"
++export KDEDIR="_KDEDIR_"
++# Use env.d's KDEDIRS. They should only include locations like /usr though, not
++# actual KDE installations
++
++# handle ~/.kde* dirs - separate ones for separate KDEs
++cd ~
++[ -d .kde ] && /bin/mv .kde .kde.backup
++if [ ! -e .kde3.1 ]; then
++ if [ -e .kde3 ]; then
++ /bin/cp -r .kde3 .kde3.1
++ else
++ /bin/mkdir .kde3.1
++ fi
++fi
++/bin/ln -sf .kde3.1 .kde
++
++#export KDEHOME="${HOME}/.kdecvs"
++
++# Gentoo part ends
++
+ # Boot sequence:
+ #
+ # kdeinit is used to fork off processes which improves memory usage
+@@ -29,12 +51,12 @@
+ # especially necessary on slow machines, where starting KDE takes one or two
+ # minutes until anything appears on the screen.
+ #
+-# Set the background to plain grey.
++# Set the background to cyan (Gentoo version change).
+ # The standard X background is nasty, causing moire effects and exploding
+ # people's heads. We use colours from the standard KDE palette for those with
+ # palettised displays.
+
+-test "$XDM_MANAGED" || bkg="-solid #C0C0C0"
++test "$XDM_MANAGED" || bkg="-solid #5477A0"
+ xsetroot -cursor_name left_ptr $bkg
+
+ # The user's personal KDE directory is usually ~/.kde, but this setting
+@@ -140,7 +162,11 @@
+ fi
+
+ # the splashscreen and progress indicator
+-ksplash
++if [ -n "$KSPLASH" ]; then
++ $KSPLASH
++else
++ ksplash
++fi
+
+ # We set LD_BIND_NOW to increase the efficiency of kdeinit.
+ # kdeinit unsets this variable before loading applications.
diff --git a/kde-base/kdebase/files/digest-kdebase-3.0.5a-r2 b/kde-base/kdebase/files/digest-kdebase-3.0.5a-r2
new file mode 100644
index 000000000000..0c472115576e
--- /dev/null
+++ b/kde-base/kdebase/files/digest-kdebase-3.0.5a-r2
@@ -0,0 +1 @@
+MD5 16c53e754e866f112797f695ba84c3a4 kdebase-3.0.5a.tar.bz2 13117676
diff --git a/kde-base/kdebase/files/digest-kdebase-3.1-r1 b/kde-base/kdebase/files/digest-kdebase-3.1-r1
new file mode 100644
index 000000000000..77c9695b76ff
--- /dev/null
+++ b/kde-base/kdebase/files/digest-kdebase-3.1-r1
@@ -0,0 +1 @@
+MD5 02f0583c7de93cdc458101a7575455b4 kdebase-3.1.tar.bz2 14887352
diff --git a/kde-base/kdebase/kdebase-3.0.5a-r2.ebuild b/kde-base/kdebase/kdebase-3.0.5a-r2.ebuild
new file mode 100644
index 000000000000..6b0c79d49989
--- /dev/null
+++ b/kde-base/kdebase/kdebase-3.0.5a-r2.ebuild
@@ -0,0 +1,234 @@
+# Copyright 1999-2002 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/kde-base/kdebase/kdebase-3.0.5a-r2.ebuild,v 1.1 2003/01/28 12:16:54 danarmak Exp $
+NEED_KDE_DONT_ADD_KDELIBS_DEP=1 # we're a special case, see below
+inherit eutils flag-o-matic kde-dist
+
+IUSE="ldap pam motif encode oggvorbis cups ssl opengl samba"
+
+DESCRIPTION="KDE ${PV} - base packages: the desktop, panel, window manager, konqueror..."
+
+KEYWORDS="x86 ~ppc ~alpha ~sparc"
+
+newdepend ">=media-sound/cdparanoia-3.9.8
+ ldap? ( >=net-nds/openldap-1.2 )
+ pam? ( >=sys-libs/pam-0.73 )
+ motif? ( >=x11-libs/openmotif-2.1.30 )
+ encode? ( >=media-sound/lame-3.89b )
+ oggvorbis? ( >=media-libs/libvorbis-1.0_beta1 )
+ cups? ( net-print/cups )
+ ssl? ( >=dev-libs/openssl-0.9.6b )
+ opengl? ( virtual/opengl )
+ samba? ( net-fs/samba )"
+# lm_sensors? ( ?/lm_sensors ) # ebuild doesn't exist yet
+
+DEPEND="${DEPEND} sys-apps/gzip"
+
+# special case, contd.: we need kdelibs >=3.0.5a-r1, but not so that we get a version !=3.0.5a
+# so we told kde-functions:need-kde not to add a dep on kdelibs, and now we'll do it manually
+# newdepend "( >=kde-base/kdelibs-3.0.5a-r1 <kde-base/kdelibs-3.0.5b )" # bug in portage?
+newdepend "=kde-base/kdelibs-3.0.5a-r1"
+
+myconf="${myconf} --with-dpms --with-cdparanoia"
+
+use ldap && myconf="${myconf} --with-ldap" || myconf="${myconf} --without-ldap"
+use pam && myconf="${myconf} --with-pam" || myconf="${myconf} --with-shadow"
+use motif && myconf="${myconf} --with-motif" || myconf="${myconf} --without-motif"
+use encode && myconf="${myconf} --with-lame" || myconf="${myconf} --without-lame"
+use cups && myconf="${myconf} --with-cups" || myconf="${myconf} --disable-cups"
+use oggvorbis && myconf="${myconf} --with-vorbis" || myconf="${myconf} --without-vorbis"
+use opengl && myconf="${myconf} --with-gl" || myconf="${myconf} --without-gl"
+use ssl && myconf="${myconf} --with-ssl" || myconf="${myconf} --without-ssl"
+use pam && myconf="${myconf} --with-pam=yes" || myconf="${myconf} --with-pam=no --with-shadow"
+
+get_xft_setup() {
+ # This function tries to figure out if we have QT compiled against Xft1
+ # or Xft2.0, and also if we have Xft1, Xft2.0 or a broken Xft setup
+ # <azarah@gentoo.org> (24 Dec 2002)
+
+ # Check if QT was compiled agaist Xft1 or Xft2 ... the idea is to only get
+ # the major version of the linked lib if its Xft2, else it should be "" ..
+ # we then set it to "1" with the next check.
+ export QT_XFT_VER="`ldd ${QTDIR}/lib/libqt.so 2> /dev/null | grep "libXft" | awk '{split($1, ver, "."); print ver[3]}'`"
+ [ -z "${QT_XFT_VER}" ] && QT_XFT_VER="1"
+
+ # Check if the Xft headers are Xft1 or Xft2 ... the idea is to only get the
+ # major version of the Xft version if its Xft2, else it should be "" ..
+ # we then set it to "1" with the next check.
+ local XFT_HDR_VER="`grep "XFT_MAJOR" /usr/X11R6/include/X11/Xft/Xft.h | awk '($2 == "XFT_MAJOR") {print $3}'`"
+ [ -z "${XFT_HDR_VER}" ] && XFT_HDR_VER="1"
+
+ # Check if the libs installed are Xft1 or Xft2 ... We only check
+ # what the /usr/X11R6/lib/libXft.so symlink poinst to, as that should
+ # be 99% what apps will link to (except if we have Xft2 in /usr/lib,
+ # but that should not matter) ...
+ local XFT_LIB_VER="`readlink /usr/X11R6/lib/libXft.so 2> /dev/null | \
+ awk '{split($0, file, "/"); for (x in file) if (file[x] ~ /libXft\.so\.2/) print file[x]}'`"
+ [ "${XFT_LIB_VER/libXft}" != "${XFT_LIB_VER}" ] \
+ && XFT_LIB_VER="2" \
+ || XFT_LIB_VER="1"
+
+ if [ "${XFT_HDR_VER}" -eq "2" -a "${XFT_LIB_VER}" -eq "2" ]
+ then
+ # Yep, we have Xft2 support ...
+ export HAVE_XFT_2="yes"
+
+ [ -n "${BUILDDEBUG}" ] && einfo "We have Xft2.0 support"
+
+ elif [ "${XFT_HDR_VER}" != "${XFT_LIB_VER}" ]
+ then
+ # Xft support are broken (mixed header and lib versions) ...
+ export HAVE_XFT_2="broken"
+
+ [ -n "${BUILDDEBUG}" ] && einfo "We have broken Xft support"
+
+ elif [ "${XFT_HDR_VER}" -eq "1" -a "${XFT_LIB_VER}" -eq "1" ]
+ then
+ # Nope, we only have Xft1 installed ...
+ export HAVE_XFT_2="no"
+
+ [ -n "${BUILDDEBUG}" ] && einfo "We have Xft1 support"
+ fi
+}
+
+pkg_setup() {
+
+ # It should generally be considered bad form to touch files in the
+ # live filesystem, but we had a broken Xft.h out there, and to expect
+ # all users to update X because of it is harsh. Also, there is no
+ # official fix to xfree for this issue as of writing. See bug #9423
+ # for more info.
+ cd /usr/X11R6/include/X11/Xft
+ if patch --dry-run -p0 < ${FILESDIR}/${PVR}/${P}-xft_h-fix.diff > /dev/null
+ then
+ EPATCH_SINGLE_MSG="Patching Xft.h to fix missing defines..." \
+ epatch ${FILESDIR}/${PVR}/${P}-xft_h-fix.diff
+ fi
+
+ get_xft_setup
+
+ # Check what the setup are, and if things do not seem OK, die
+ # with a hopefully helpful message ...
+ if [ "${HAVE_XFT_2}" = "yes" -a "${QT_XFT_VER}" -eq "1" ]
+ then
+ eerror "You have Xft2.0 installed, but QT is linked against Xft1!"
+ eerror
+ eerror "Please fix this by remerging >=x11-libs/qt-3.1 and doing:"
+ eerror
+ eerror " # emerge \">=x11-libs/qt-3.1\""
+ die "You have Xft2.0 installed, but QT is linked against Xft1!"
+
+ elif [ "${HAVE_XFT_2}" = "broken" ]
+ then
+ eerror "You have a broken Xft setup! This could mean that you"
+ eerror "have Xft2.0 headers with Xft1 libs, or reversed. Please"
+ eerror "fix this before you try to merge kdebase again."
+ die "You have a broken Xft setup!"
+
+ elif [ "${HAVE_XFT_2}" = "no" -a "${QT_XFT_VER}" -eq "2" ]
+ then
+ eerror "You have QT compiled against Xft2.0, but Xft2.0 is no"
+ eerror "longer installed. Please remerge QT, and then try"
+ eerror "again to merge kdebase."
+ die "You have QT compiled against Xft2.0, but Xft2.0 is no longer installed."
+ fi
+}
+
+src_unpack() {
+
+ base_src_unpack
+
+ cd ${S}; epatch ${FILESDIR}/${PVR}/${P}-nspluginviewer-qt31.diff.gz
+
+ get_xft_setup
+
+ # Apply this only if we have a Xft1.2 Xft.h or have Xft2.0 installed ...
+ if [ -n "`grep "fontconfig" /usr/X11R6/include/X11/Xft/Xft.h`" ] || \
+ [ "${HAVE_XFT_2}" = "yes" ]
+ then
+ cd ${S}; epatch ${FILESDIR}/${PVR}/${P}-xft2.0-fix.diff
+ fi
+}
+
+src_compile() {
+
+ get_xft_setup
+
+ # Add '-DXFT_WITH_FONTCONFIG' to our C[XX]FLAGS if we have a Xft.h that
+ # uses fontconfig ... this will enable the fix in the '${P}-xft2.0-fix.diff'
+ # patch.
+ if [ -n "`grep "fontconfig" /usr/X11R6/include/X11/Xft/Xft.h`" ]
+ then
+ append-flags "-DXFT_WITH_FONTCONFIG"
+ fi
+
+ # Add '-DHAVE_XFT2' to our C[XX]FLAGS if we have Xft2.0 installed ...
+ # this will enable the fix in the '${P}-xft2.0-fix.diff' patch.
+ if [ "${HAVE_XFT_2}" = "yes" ]
+ then
+ append-flags "-DHAVE_XFT2"
+ fi
+
+ kde_src_compile myconf configure
+ kde_remove_flag kdm/kfrontend -fomit-frame-pointer
+ kde_src_compile make
+}
+
+src_install() {
+
+ kde_src_install
+
+ # cf bug #5953
+ if [ "`use pam`" ]
+ then
+ insinto /etc/pam.d
+ newins ${FILESDIR}/kscreensaver.pam kscreensaver
+ newins ${FILESDIR}/kde.pam kde
+ fi
+
+ # startkde script
+ cd ${D}/${KDEDIR}/bin
+ epatch ${FILESDIR}/${PVR}/startkde-${PVR}-gentoo.diff
+ dosed "s:_KDEDIR_:${KDEDIR}:" ${KDEDIR}/bin/startkde
+ chmod a+x startkde
+
+ # x11 session script
+ cd ${T}
+ echo "#!/bin/sh
+${KDEDIR}/bin/startkde" > kde-${PV}
+ chmod a+x kde-${PV}
+ # old scheme - compatibility
+ exeinto /usr/X11R6/bin/wm
+ doexe kde-${PV}
+ # new scheme - for now >=xfree-4.2-r3 only
+ exeinto /etc/X11/Sessions
+ doexe kde-${PV}
+
+ cd ${D}/${PREFIX}/share/config/kdm || die
+ dosed "s:SessionTypes=:SessionTypes=kde-${PV},:" \
+ ${PREFIX}/share/config/kdm/kdmrc
+ dosed "s:Session=${PREFIX}/share/config/kdm/Xsession:Session=/etc/X11/xdm/Xsession:" \
+ ${PREFIX}/share/config/kdm/kdmrc
+
+ #backup splashscreen images, so they can be put back when unmerging
+ #mosfet or so.
+ if [ ! -d ${KDEDIR}/share/apps/ksplash.default ]
+ then
+ cd ${D}/${KDEDIR}/share/apps
+ cp -rf ksplash/ ksplash.default
+ fi
+
+ # Show gnome icons when choosing new icon for desktop shortcut
+ dodir /usr/share/pixmaps
+ mv ${D}/${KDEDIR}/share/apps/kdesktop/pics/* ${D}/usr/share/pixmaps/
+ rm -rf ${D}/${KDEDIR}/share/apps/kdesktop/pics/
+ cd ${D}/${KDEDIR}/share/apps/kdesktop/
+ ln -sf /usr/share/pixmaps/ pics
+
+ rmdir ${D}/${KDEDIR}/share/templates/.source/emptydir
+}
+
+pkg_postinst() {
+ mkdir -p ${KDEDIR}/share/templates/.source/emptydir
+}
+
diff --git a/kde-base/kdebase/kdebase-3.1-r1.ebuild b/kde-base/kdebase/kdebase-3.1-r1.ebuild
new file mode 100644
index 000000000000..e39a319c0216
--- /dev/null
+++ b/kde-base/kdebase/kdebase-3.1-r1.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2002 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/kde-base/kdebase/kdebase-3.1-r1.ebuild,v 1.1 2003/01/28 12:16:54 danarmak Exp $
+NEED_KDE_DONT_ADD_KDELIBS_DEP=1 # we're a special case, see below
+inherit kde-dist
+
+IUSE="ldap pam motif encode oggvorbis cups ssl opengl samba java"
+DESCRIPTION="KDE base packages: the desktop, panel, window manager, konqueror..."
+
+KEYWORDS="x86 ppc"
+
+newdepend ">=media-sound/cdparanoia-3.9.8
+ ldap? ( >=net-nds/openldap-1.2 )
+ pam? ( >=sys-libs/pam-0.73 )
+ motif? ( >=x11-libs/openmotif-2.1.30 )
+ encode? ( >=media-sound/lame-3.89b )
+ oggvorbis? ( >=media-libs/libvorbis-1.0_beta1 )
+ cups? ( net-print/cups )
+ ssl? ( >=dev-libs/openssl-0.9.6b )
+ opengl? ( virtual/opengl )
+ samba? ( net-fs/samba )
+ java? ( virtual/jdk )
+ >=media-libs/freetype-2"
+# lm_sensors? ( ?/lm_sensors ) # ebuild doesn't exist yet
+
+# special case, contd.: we need kdelibs >=3.1-r1, but not so that we get a version !=3.1
+# so we told kde-functions:need-kde not to add a dep on kdelibs, and now we'll do it manually
+# newdepend "( >=kde-base/kdelibs-3.1-r1 <kde-base/kdelibs-3.1.1 )" # bug in portage?
+newdepend "=kde-base/kdelibs-3.1-r1"
+
+myconf="$myconf --with-dpms --with-cdparanoia"
+
+use ldap && myconf="$myconf --with-ldap" || myconf="$myconf --without-ldap"
+use pam && myconf="$myconf --with-pam" || myconf="$myconf --with-shadow"
+use motif && myconf="$myconf --with-motif" || myconf="$myconf --without-motif"
+use encode && myconf="$myconf --with-lame" || myconf="$myconf --without-lame"
+use cups && myconf="$myconf --with-cups" || myconf="$myconf --disable-cups"
+use oggvorbis && myconf="$myconf --with-vorbis" || myconf="$myconf --without-vorbis"
+use opengl && myconf="$myconf --with-gl" || myconf="$myconf --without-gl"
+use ssl && myconf="$myconf --with-ssl" || myconf="$myconf --without-ssl"
+use pam && myconf="$myconf --with-pam=yes" || myconf="$myconf --with-pam=no --with-shadow"
+use java && myconf="$myconf --with-java=$(java-config --jdk-home)" || myconf="$myconf --without-java"
+src_compile() {
+
+ kde_src_compile myconf configure
+ kde_remove_flag kdm/kfrontend -fomit-frame-pointer
+ kde_src_compile make
+
+}
+
+src_install() {
+
+ kde_src_install
+
+ # cf bug #5953
+ insinto /etc/pam.d
+ #newins ${FILESDIR}/kscreensaver.pam kscreensaver
+ newins ${FILESDIR}/kde.pam kde
+
+ # startkde script
+ cd ${D}/${KDEDIR}/bin
+ patch -p0 < ${FILESDIR}/${PVR}/startkde-${PVR}-gentoo.diff || die
+ mv startkde startkde.orig
+ sed -e "s:_KDEDIR_:${KDEDIR}:" startkde.orig > startkde
+ rm startkde.orig
+ chmod a+x startkde
+
+ # x11 session script
+ cd ${T}
+ echo "#!/bin/sh
+${KDEDIR}/bin/startkde" > kde-${PV}
+ chmod a+x kde-${PV}
+ exeinto /etc/X11/Sessions
+ doexe kde-${PV}
+
+ cd ${D}/${KDEDIR}/share/config/kdm || die
+ sed -e "s:SessionTypes=:SessionTypes=kde-${PV},:" \
+ -e "s:Session=${PREFIX}/share/config/kdm/Xsession:Session=/etc/X11/xdm/Xsession:" \
+ ${FILESDIR}/${PVR}/kdmrc > kdmrc
+ cp ${FILESDIR}/${PVR}/backgroundrc .
+
+ #backup splashscreen images, so they can be put back when unmerging
+ #mosfet or so.
+ if [ ! -d ${KDEDIR}/share/apps/ksplash.default ]
+ then
+ cd ${D}/${KDEDIR}/share/apps
+ cp -rf ksplash/ ksplash.default
+ fi
+
+ # Show gnome icons when choosing new icon for desktop shortcut
+ dodir /usr/share/pixmaps
+ mv ${D}/${KDEDIR}/share/apps/kdesktop/pics/* ${D}/usr/share/pixmaps/
+ rm -rf ${D}/${KDEDIR}/share/apps/kdesktop/pics/
+ cd ${D}/${KDEDIR}/share/apps/kdesktop/
+ ln -sf /usr/share/pixmaps/ pics
+
+ rmdir ${D}/${KDEDIR}/share/templates/.source/emptydir
+
+}
+
+pkg_postinst() {
+ mkdir -p ${KDEDIR}/share/templates/.source/emptydir
+}